## webassets 0.12.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/django-assets.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/django-assets.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

## webassets 0.8

=== debian/changelog ===
webassets (3:0.8-1) unstable; urgency=low

  * Imported Upstream version 0.8 (Closes: #703541)
  * Added exclusion of the .gitignore files to dh_installexamples
  * Use sphinxdoc option from debhelper to build the documentation:
    - debian/control: Added version on python-sphinx dependency and updated
      dependencies on python-webassets-doc.
    - debian/python-webassets-doc.links: removed, now handled by dh_sphinxdoc.
    - debian/rules: Clean-up symlinks.
  * Bumped Standard-Version to 3.9.4 (no changes required)
  * Added Vcs-git and Vcs-browser to debian/control file.

 -- Agustin Henze <tin@sluc.org.ar>  Thu, 21 Mar 2013 22:41:53 -0300

webassets (20121113git-1) unstable; urgency=low

  * Initial release, git upstream revision b53ef15 (Closes: #690089).

 -- Agustin Henze <tin@sluc.org.ar>  Wed, 09 Oct 2012 15:04:41 -0300

=== debian/control ===
Source: webassets
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@sluc.org.ar>
Uploaders: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python-all,
 python-support (>= 1),
 python-sphinx (>= 1.0.7+dfsg),
 python-setuptools,
 python2.7-doc,
 python-django,
Standards-Version: 3.9.4
XS-Python-Version: all
Homepage: https://github.com/miracle2k/webassets
Vcs-Git: git://anonscm.debian.org/collab-maint/webassets.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/webassets.git

Package: python-webassets
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-webassets-doc,
 yui-compressor,
 node-uglify,
 python-cssutils,
 node-less,
 ruby-sass,
Description: Asset management application for Python web development
 Assets helps you merge and compress any JavaScript and CSS files on your web
 development project.
 .
 Webassets provides some special integration with:
  * Django
  * Flask
  * Pyramid

Package: python-webassets-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python-doc
Section: doc
Description: Asset management application for Python web development - doc
 Assets helps you merge and compress any JavaScript and CSS files on your web
 development project.
 .
 Webassets provides some special integration with:
  * Django
  * Flask
  * Pyramid
 .
 This package contains API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

PYVERS :=  $(shell pyversions -s)

%:
	dh $@ --with python2 --with sphinxdoc

override_dh_auto_build:

override_dh_auto_clean:
	dh_auto_clean -- --all
	rm -rf build
	rm -rf docs/_build
	rm -rf src/webassets.egg-info

override_dh_auto_install:
	dh_auto_install
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py install --root debian/python-webassets \
				      --install-layout=deb; \
	done
	# Doc
	cd docs; \
	make html; \
	cd -

override_dh_installexamples:
	dh_installexamples -X.gitignore

## webassets 0.9

=== debian/changelog ===
webassets (3:0.9-1) unstable; urgency=low

  * Imported Upstream version 0.9
  * Improvements in packages description
  * Manpages generated using help2man
  * Add Python3 support
  * Recompress the original source for remove the egg-info folder
  * Test suite execution
    * Add bdepend on python3?-nose and python3?-mock
  * Use pybuild as buildsystem

 -- Agustin Henze <tin@debian.org>  Sat, 16 Nov 2013 13:21:01 -0300

=== debian/control ===
Source: webassets
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Uploaders: Ulises Vitulli <dererk@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-nose,
 python3-mock,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
 python-docutils,
 python-nose,
 python-mock,
 help2man,
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/miracle2k/webassets
Vcs-Git: git://anonscm.debian.org/collab-maint/webassets.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/webassets.git

Package: python-webassets
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests:
 python-webassets-doc,
 yui-compressor,
 node-uglify,
 python-cssutils,
 node-less,
 ruby-sass,
 cssmin,
Description: Asset management application for Python web development
 Assets helps you merge and compress any JavaScript and CSS files on your web
 development project.
 .
 This is the Python 2 version of the package.

Package: python3-webassets
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests:
 python-webassets-doc,
 yui-compressor,
 node-uglify,
 python-cssutils,
 node-less,
 ruby-sass,
 cssmin,
Description: Asset management application for Python web development (Python 3)
 Assets helps you merge and compress any JavaScript and CSS files on your web
 development project.
 .
 This is the Python 3 version of the package.

Package: python-webassets-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python-doc
Section: doc
Description: Asset management application for Python web development - doc
 Assets helps you merge and compress any JavaScript and CSS files on your web
 development project.
 .
 This package contains API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

UVERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \([0-9]:\)\(.*\)-[^-]\+/\2/p')
PACKAGE_NAME := $(shell dpkg-parsechangelog | sed -n -e's/^Source: \(.*\)\+/\1/p')
PYVERS = $(shell pyversions -r)
PY3VERS = $(shell py3versions -r)
export PYBUILD_NAME=$(PACKAGE_NAME)
export PYTHONPATH=$(CURDIR)/src

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/_build
	rm -rf src/webassets.egg-info/
	rm -f debian/webassets.1
	rm -f debian/webassets3.1

override_dh_auto_install:
	dh_auto_install
	# Doc
	cd docs; \
		make html; \
		cd -
	mv debian/python3-webassets/usr/bin/webassets debian/python3-webassets/usr/bin/webassets3
	help2man --version-string=$(UVERSION) \
				--name="Asset management application for Python web development" \
				--no-info \
				debian/python-webassets/usr/bin/webassets > debian/webassets.1
	help2man --version-string=$(UVERSION) \
				--name="Asset management application for Python web development" \
				--no-info \
				debian/python3-webassets/usr/bin/webassets3 > debian/webassets3.1

override_dh_installexamples:
	dh_installexamples -X.gitignore

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex; \
		for py in $(PYVERS) $(PY3VERS); do \
			$$py run_tests.py; \
		done
endif

get-orig-source:
	@if [ ! -d "debian" ] ; then \
		echo 'Run this from the top directory of the Debian source' >&2; \
		exit 1; \
	fi
	mkdir -p ../tmp/webassets_$(UVERSION)
	wget http://pypi.python.org/packages/source/w/webassets/webassets-$(UVERSION).tar.gz \
		-O ../tmp/webassets_$(UVERSION).tar.gz;
	tar xf ../tmp/webassets_$(UVERSION).tar.gz \
		-C ../tmp/webassets_$(UVERSION) \
		--exclude=*egg-info*;
	tar -C ../tmp/webassets_$(UVERSION) webassets-$(UVERSION) -c --xz -f ../webassets_$(UVERSION).orig.tar.xz

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/w/webassets/webassets-([0-9.]*)\.tar\.gz

## webassets 0.10.1

=== debian/changelog ===
webassets (3:0.10.1-2) unstable; urgency=medium

  * Add breaks field between python3-webassets and python-webassets <= 3:0.9-1

 -- Agustin Henze <tin@debian.org>  Sat, 30 Aug 2014 19:10:04 -0700

webassets (3:0.10.1-1) unstable; urgency=medium

  * Imported Upstream version 0.10.1
  * Add dependency on node-requirejs
  * Cleaning up debian/rules

 -- Agustin Henze <tin@debian.org>  Sat, 30 Aug 2014 17:22:47 -0700

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
  node-less,
  ruby-sass,
  cssmin,
+ node-requirejs,
 Description: Asset management application for Python web development
  Assets helps you merge and compress any JavaScript and CSS files on your web
  development project.
@@ -44,6 +45,7 @@
 Package: python3-webassets
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
+Breaks: python-webassets (<= 3:0.9-1)
 Suggests:
  python-webassets-doc,
  yui-compressor,
@@ -52,6 +54,7 @@
  node-less,
  ruby-sass,
  cssmin,
+ node-requirejs,
 Description: Asset management application for Python web development (Python 3)
  Assets helps you merge and compress any JavaScript and CSS files on your web
  development project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

UVERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \([0-9]:\)\(.*\)-[^-]\+/\2/p')
PACKAGE_NAME := $(shell dpkg-parsechangelog | sed -n -e's/^Source: \(.*\)\+/\1/p')
PYVERS = $(shell pyversions -r)
PY3VERS = $(shell py3versions -r)
export PYBUILD_NAME=$(PACKAGE_NAME)
export PYTHONPATH=$(CURDIR)/src

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/_build
	rm -rf src/webassets.egg-info/
	rm -f debian/webassets.1

override_dh_auto_install:
	dh_auto_install
	# Doc
	cd docs; \
		make html; \
		cd -
	rm -f debian/python-webassets/usr/bin/webassets
	help2man --version-string=$(UVERSION) \
				--name="Asset management application for Python web development" \
				--no-info \
				debian/python3-webassets/usr/bin/webassets > debian/webassets.1

override_dh_installexamples:
	dh_installexamples -X.gitignore

get-orig-source:
	@if [ ! -d "debian" ] ; then \
		echo 'Run this from the top directory of the Debian source' >&2; \
		exit 1; \
	fi
	uscan --noconf --verbose --rename --destdir=$(CURDIR) \
		--check-dirname-level=0 --force-download --download-version $(UVERSION)

## webassets 0.11

=== debian/changelog ===
webassets (3:0.11-2) unstable; urgency=medium

  * Remove unused patches
  * Fix FTBFS, remove embedded six.py module on .deb generated

 -- Agustin Henze <tin@debian.org>  Tue, 25 Aug 2015 20:03:41 +0200

webassets (3:0.11-1) unstable; urgency=low

  [ Reiner Herrmann ]
  * Added patch to produce stable help text (Closes: #775135).

  [ Agustin Henze ]
  * Fix debian/watch file
  * Imported Upstream version 0.11
  * Bumped Standard-Version to 3.9.6 (no changes required)
  * Add new dependency on python3?-jinja2
  * Remove embedded six.py (Closes: #783464)

 -- Agustin Henze <tin@debian.org>  Sat, 22 Aug 2015 02:26:09 +0200

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,15 @@
  python3-setuptools,
  python3-nose,
  python3-mock,
+ python3-jinja2,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python-docutils,
  python-nose,
  python-mock,
+ python-jinja2,
+ python-six,
  help2man,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/miracle2k/webassets
@@ -26,7 +29,7 @@
 
 Package: python-webassets
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${misc:Depends}, python-six
 Suggests:
  python-webassets-doc,
  yui-compressor,
@@ -44,7 +47,7 @@
 
 Package: python3-webassets
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}, python3-six
 Breaks: python-webassets (<= 3:0.9-1)
 Suggests:
  python-webassets-doc,

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,13 @@
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
-	dh_auto_clean
 	rm -rf docs/_build
 	rm -rf src/webassets.egg-info/
 	rm -f debian/webassets.1
+	dh_auto_clean
 
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install -Xsix.py
 	# Doc
 	cd docs; \
 		make html; \

## webassets 0.11.1

=== debian/changelog ===
webassets (3:0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Add missing build-dep on pytest (Closes: #805242).

 -- Ulises Vitulli <dererk@debian.org>  Fri, 01 Jan 2016 19:28:35 -0300

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,8 @@
  python-jinja2,
  python-six,
  help2man,
+ python-pytest,
+ python3-pytest
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 PY3VERS = $(shell py3versions -r)
 export PYBUILD_NAME=$(PACKAGE_NAME)
 export PYTHONPATH=$(CURDIR)/src
+export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=3

http://pypi.debian.net/webassets/webassets-([0-9.]*)\.tar\.gz

## webassets 0.12.1

=== debian/changelog ===
webassets (3:0.12.1-1) unstable; urgency=medium

  * Start using pristine-tar
  * New upstream version 0.12.1 (Closes: #879927)
  * Remove wrongly added include-binaries in the past (Closes: #837328)
  * Remove egg-info folder from source
  * debian/rules:
    - Remove unused variables
    - Remove dpkg-parsechangelog use pkg-info.mk instead
  * debian/control:
    - Bumped Standard-Version to 4.1.1 (no changes required)
    - Use secure uri on vcs fields

 -- Agustin Henze <tin@debian.org>  Fri, 10 Nov 2017 07:25:31 -0300

webassets (3:0.11.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Updates cssmin dependencies to correctly include python-cssmin and
    python3-cssmin packages (Closes: #826860).

 -- Stuart Prescott <stuart@debian.org>  Sun, 11 Sep 2016 00:55:33 +1000

=== debian/control ===
--- 
+++ 
@@ -22,12 +22,12 @@
  help2man,
  python-pytest,
  python3-pytest
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/miracle2k/webassets
-Vcs-Git: git://anonscm.debian.org/collab-maint/webassets.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/webassets.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/webassets.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/webassets.git
 
 Package: python-webassets
 Architecture: all
@@ -39,7 +39,7 @@
  python-cssutils,
  node-less,
  ruby-sass,
- cssmin,
+ python-cssmin | cssmin (<= 0.2.0-1),
  node-requirejs,
 Description: Asset management application for Python web development
  Assets helps you merge and compress any JavaScript and CSS files on your web
@@ -58,7 +58,7 @@
  python-cssutils,
  node-less,
  ruby-sass,
- cssmin,
+ python3-cssmin,
  node-requirejs,
 Description: Asset management application for Python web development (Python 3)
  Assets helps you merge and compress any JavaScript and CSS files on your web

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=$(DEB_SOURCE)
export PYTHONPATH=$(CURDIR)/src
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf docs/_build
	rm -rf src/webassets.egg-info/
	rm -f debian/webassets.1
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install -Xsix.py
	# Doc
	cd docs; \
		make html; \
		cd -
	rm -f debian/python-webassets/usr/bin/webassets
	help2man --version-string=$(DEB_VERSION_UPSTREAM) \
				--name="Asset management application for Python web development" \
				--no-info \
				debian/python3-webassets/usr/bin/webassets > debian/webassets.1

override_dh_installexamples:
	dh_installexamples -X.gitignore

get-orig-source:
	@if [ ! -d "debian" ] ; then \
		echo 'Run this from the top directory of the Debian source' >&2; \
		exit 1; \
	fi
	uscan --noconf --verbose --rename --destdir=$(CURDIR) \
		--check-dirname-level=0 --force-download --download-version $(DEB_VERSION_UPSTREAM)

## webassets 2.0

=== debian/changelog ===
webassets (3:2.0-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix SyntaxWarning (Closes: #1087176)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 09 Nov 2024 12:32:46 +0100

webassets (3:2.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dependency on python3-nose (Closes: #1018662)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Sep 2024 20:06:17 +0200

webassets (3:2.0-0.1) unstable; urgency=medium

  * Non-maintainer Upload.
  * New upstream version 2.0
  * Fix watch file for new github API
  * Use new dh-sequence-python3
  * add python3-sphinx build dep
  * set Rules-Requires-Root: no
  * Janitor:
    * Bump debhelper from old 11 to 13.
    * Fix day-of-week for changelog entry 20121113git-1.
    * janitor: add upstream metadata
    * Set upstream metadata fields: Repository.
    * Update standards version to 4.2.1, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 30 Mar 2024 16:51:47 +0100

webassets (3:0.12.1-2) unstable; urgency=medium

  * [d/rules] Remove obsolete get-orig-target
  * [d/control] Remove deprecated X-Python* fields
  * Update Vcs-* fields pointing to salsa
  * Bump Standards-Version to 4.2.0 (no changes needed)
  * [d/watch] Use https url
  * Suggests correct python3 version of cssutils (Closes: #906104)
  * Update dh to 11 (no changes needed)
  * [d/watch] Pointing to github url instead of pypi

 -- Agustin Henze <tin@debian.org>  Mon, 20 Aug 2018 17:11:58 +0200

=== debian/control ===
Source: webassets
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Uploaders: Ulises Vitulli <dererk@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-jinja2,
 help2man,
 python3-pytest,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.2.1
Homepage: https://github.com/miracle2k/webassets
Vcs-Git: https://salsa.debian.org/debian/webassets.git
Vcs-Browser: https://salsa.debian.org/debian/webassets

Package: python3-webassets
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-six
Suggests:
 python-webassets-doc,
 yui-compressor,
 node-uglify,
 python3-cssutils,
 node-less,
 ruby-sass,
 python3-cssmin,
 node-requirejs,
Description: Asset management application for Python web development
 Assets helps you merge and compress any JavaScript and CSS files on your web
 development project.

Package: python-webassets-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python-doc
Section: doc
Description: Asset management application for Python web development - doc
 Assets helps you merge and compress any JavaScript and CSS files on your web
 development project.
 .
 This package contains API documentation.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm -rf docs/_build
@@ -33,11 +33,3 @@
 
 override_dh_installexamples:
 	dh_installexamples -X.gitignore
-
-get-orig-source:
-	@if [ ! -d "debian" ] ; then \
-		echo 'Run this from the top directory of the Debian source' >&2; \
-		exit 1; \
-	fi
-	uscan --noconf --verbose --rename --destdir=$(CURDIR) \
-		--check-dirname-level=0 --force-download --download-version $(DEB_VERSION_UPSTREAM)

=== debian/watch ===
version=4
https://github.com/miracle2k/webassets/tags (?:.*/)/?v?@ANY_VERSION@@ARCHIVE_EXT@

## webassets 3.0.0

=== debian/changelog ===
webassets (3:3.0.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 3.0.0
  * Switch to pybuild-plugin-pyproject
  * Replace SetupTools build with Hatchling
  * Re-enable all tests
  * Finish removing "six" with a patch
  * Remove old Python 2 files
  * Add debian/salsa-ci.yml
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Drop patches applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Wed, 04 Feb 2026 14:37:39 +0100

=== debian/control ===
Source: webassets
Section: python
Maintainer: Agustin Henze <tin@debian.org>
Uploaders:
 Ulises Vitulli <dererk@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 help2man,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-jinja2,
 python3-pytest,
 python3-sphinx,
Standards-Version: 4.7.3
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/miracle2k/webassets
Vcs-Git: https://salsa.debian.org/debian/webassets.git
Vcs-Browser: https://salsa.debian.org/debian/webassets

Package: python3-webassets
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 node-less,
 node-requirejs,
 node-uglify,
 python-webassets-doc,
 python3-cssmin,
 python3-cssutils,
 ruby-sass,
 yui-compressor,
Description: Asset management application for Python web development
 Assets helps you merge and compress any JavaScript and CSS files on your web
 development project.

Package: python-webassets-doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-doc,
Section: doc
Description: Asset management application for Python web development - doc
 Assets helps you merge and compress any JavaScript and CSS files on your web
 development project.
 .
 This package contains API documentation.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 export PYBUILD_NAME=$(DEB_SOURCE)
 export PYTHONPATH=$(CURDIR)/src
-export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
@@ -19,8 +18,7 @@
 	rm -f debian/webassets.1
 	dh_auto_clean
 
-override_dh_auto_install:
-	dh_auto_install -Xsix.py
+execute_after_dh_auto_install:
 	# Doc
 	cd docs; \
 		make html; \
@@ -33,3 +31,6 @@
 
 override_dh_installexamples:
 	dh_installexamples -X.gitignore
+
+execute_after_dh_python3:
+	rm -vf debian/*/usr/lib/python3/dist-packages/webassets/six.py

=== debian/watch ===
Version: 5

Template: GitHub
Owner: miracle2k
Project: webassets

## webassets 20121113git

=== debian/control ===
Source: webassets
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@sluc.org.ar>
Uploaders: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python-all,
 python-support (>= 1),
 python-sphinx,
 python-setuptools,
 python2.7-doc,
 python-django,
Standards-Version: 3.9.3
XS-Python-Version: all
Homepage: https://github.com/miracle2k/webassets

Package: python-webassets
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-webassets-doc,
 yui-compressor,
 node-uglify,
 python-cssutils,
 node-less,
 ruby-sass,
Description: Asset management application for Python web development
 Assets helps you merge and compress any JavaScript and CSS files on your web
 development project.
 .
 Webassets provides some special integration with:
  * Django
  * Flask
  * Pyramid

Package: python-webassets-doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: python-doc
Section: doc
Description: Asset management application for Python web development - doc
 Assets helps you merge and compress any JavaScript and CSS files on your web
 development project.
 .
 Webassets provides some special integration with:
  * Django
  * Flask
  * Pyramid
 .
 This package contains API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS :=  $(shell pyversions -s)

%:
	dh $@ --with python2

override_dh_auto_build:

override_dh_auto_clean:
	dh_auto_clean -- --all
	rm -rf build
	rm -rf docs/_build
	rm -rf src/webassets.egg-info

override_dh_auto_install:
	dh_auto_install
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py install --root debian/python-webassets \
				      --install-layout=deb; \
	done
	# Doc
	cd docs; \
	make html; \
	cd -
	rm docs/_build/html/_static/underscore.js
	rm docs/_build/html/_static/jquery.js
	rm docs/_build/html/_static/doctools.js
	rm docs/_build/html/_static/searchtools.js
	rm docs/_build/html/_static/sidebar.js

override_dh_installexamples:
	dh_installexamples
	rm -f debian/python-webassets-doc/usr/share/doc/python-webassets-doc/examples/appengine/webassets
